@font-face {
	font-family: lexend;
	src: local(Lexend),
		url(/Lexend.ttf);
}

@font-face {
    font-family: lxgw;
    src: local(霞鹭文楷),
        url(/LXGWWenKai-Regular.ttf);
}

@font-face {
    font-family: noto sans arabic;
    src: local(Noto Sans Arabic),
        url(/NotoSansArabic-VariableFont_wdth,wght.ttf);
}

* {
    box-sizing: border-box;
}

:root {
	--font-size: clamp(1rem, 0.8929rem + 0.5357vw, 1.375rem);
	--font-size-h1: calc(var(--font-size) * 1.8);
	--font-size-h2: calc(var(--font-size) * 1.6);
	--font-size-h3: calc(var(--font-size) * 1.3);
	--font-size-h4: calc(var(--font-size) * 1.2);
	--font-size-small: calc(var(--font-size) * 0.8);
}

@media (prefers-color-scheme: dark) {
    body {
        --bg: #121212;
        --text: #fff9f2;
        --c: #f4999c;
        --tag: #200d14;
    }
}

@media (prefers-color-scheme: light) {
    body {
        --bg: #fff9f2;
        --text: #121212;
        --c: #e56b6f;
        --tag: #eddcea;
    }
}

body {
	font-family: lexend, lxgw, noto sans arabic;
	font-size: var(--font-size);
	hyphens: auto;
	margin: 0;
	background-color: var(--bg);
	color: var(--text);
	--header: #83254f;
}

a, a:visited {
    color: var(--c);
}

main {
    max-width: 800px;
    margin: auto;
    padding: 2em 1em;
}

details {
    & > summary {
        cursor: pointer;
        line-height: 2;
        user-select: none;
        padding: .5em 1em;
    }
}

#tag-filter {
    border: 4px solid var(--header);
    border-radius: 1em;
    overflow: hidden;
    margin: 1em auto;
    line-height: 2;
    background-color: var(--tag);
    
    a {
        color: var(--text);
        text-decoration: none;
        
        &:hover {
            text-decoration: underline;
        }
    }
    
    &[open]>summary {
        border-bottom: 2px dashed var(--header);
    }
    
    &>section {
        margin: 1em 2em;
    }
    
    #more-tags section {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    }
}

.post {
    border: 4px solid var(--c);
    border-radius: 1em;
    margin: 2em 0;
    
    & .content {
        margin: 1em;
    }
    
    &>.addition {
        border-top: 2px dashed var(--c);
    }
    
    &>.tags {
        margin: 0;
        padding: 1em;
    }
}

img {
    display: block;
    width: 100%;
    height: auto;
}

p {
    line-height: 1.5;
}

button {
    all: unset;
    background-color: var(--c);
    padding: .2em .3em;
    margin: .5em;
    cursor: pointer;
    color: var(--text);
    transition: background-color .2s;
    
    &:hover {
        background-color: var(--header);
    }
}

label {
    display: block;
    margin: 1em 0;
}

textarea {
    width: 100%;
    height: 10em;
}

.date {
    margin: 1em;
    opacity: .5;
}

.tag::before {
    content: '#';
    opacity: .5;
}

.form.hidden {
    display: none;
}

.expand {
    width: 100%;
    padding: 1em;
    box-sizing: border-box;
    border-top: 2px dashed var(--c);
    text-align: center;
    cursor: pointer;
    margin: 0;
    background-color: transparent;

    &:hover {
        background-color: var(--c);
        color: var(--bg);
    }
}
